summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2026-06-16 07:31:10 +0200
committerRemi Collet <remi@php.net>2026-06-16 07:31:10 +0200
commitde002421539566cea71b03352e1ee3aaa1ca1ad3 (patch)
treedfbf3e12ca4ebb2f2a620b583d7446e3fb319680
parent133b2e452a88bfcc42698069d614e9ca9a083c22 (diff)
update to 7.1.0HEADmaster
-rw-r--r--composer.json22
-rwxr-xr-xmakesrc.sh31
-rw-r--r--php-sabre-http7.spec39
3 files changed, 53 insertions, 39 deletions
diff --git a/composer.json b/composer.json
index 8c768a7..37f91e9 100644
--- a/composer.json
+++ b/composer.json
@@ -5,7 +5,7 @@
"homepage" : "https://github.com/fruux/sabre-http",
"license" : "BSD-3-Clause",
"require" : {
- "php" : "^7.4 || ^8.0",
+ "php" : "^8.2",
"ext-mbstring" : "*",
"ext-ctype" : "*",
"ext-curl" : "*",
@@ -13,12 +13,13 @@
"sabre/uri" : "^2.3 || ^3.0"
},
"require-dev" : {
- "friendsofphp/php-cs-fixer": "^3.87",
- "phpstan/phpstan": "^1.12",
- "phpstan/phpstan-phpunit": "^1.4",
- "phpstan/phpstan-strict-rules": "^1.6",
+ "friendsofphp/php-cs-fixer": "^3.95",
+ "phpstan/phpstan": "^2.1",
+ "phpstan/phpstan-phpunit": "^2.0",
+ "phpstan/phpstan-strict-rules": "^2.0",
"phpstan/extension-installer": "^1.4",
- "phpunit/phpunit" : "^9.6"
+ "phpunit/phpunit" : "^11.5",
+ "rector/rector": "^2.4"
},
"suggest" : {
"ext-curl" : " to make http requests with the Client class"
@@ -55,6 +56,12 @@
"cs-fixer": [
"PHP_CS_FIXER_IGNORE_ENV=true php-cs-fixer fix"
],
+ "rector-check": [
+ "rector process --dry-run"
+ ],
+ "rector-fix": [
+ "rector process"
+ ],
"phpunit": [
"phpunit --configuration tests/phpunit.xml"
],
@@ -67,6 +74,9 @@
"config": {
"allow-plugins": {
"phpstan/extension-installer": true
+ },
+ "platform": {
+ "php": "8.2"
}
}
}
diff --git a/makesrc.sh b/makesrc.sh
index 37cb6a2..f2a2aed 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -4,25 +4,24 @@ NAME=$(basename $PWD)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
+else
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
-echo "Cloning..."
-rm -rf $PROJECT-$COMMIT
-git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+ echo "Cloning..."
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
-echo "Getting commit..."
-pushd $PROJECT-$COMMIT
-git checkout $COMMIT
-cp composer.json ../composer.json
-popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
-echo "Archiving..."
-tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs $PROJECT-$COMMIT
+ echo "Archiving..."
+ tar czf $NAME-$VERSION.tgz --exclude-vcs $PROJECT-$VERSION
-echo "Cleaning..."
-rm -rf $PROJECT-$COMMIT
+ echo "Cleaning..."
+ rm -rf $PROJECT-$VERSION
-echo "Done."
+ echo "Done."
+fi
diff --git a/php-sabre-http7.spec b/php-sabre-http7.spec
index 50e1e15..de5274a 100644
--- a/php-sabre-http7.spec
+++ b/php-sabre-http7.spec
@@ -1,6 +1,6 @@
# remirepo/fedora spec file for php-sabre-http7
#
-# SPDX-FileCopyrightText: Copyright 2013-2025 Remi Collet
+# SPDX-FileCopyrightText: Copyright 2013-2026 Remi Collet
# SPDX-License-Identifier: CECILL-2.1
# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
#
@@ -10,8 +10,6 @@
%bcond_without tests
# Github
-%global gh_commit 925aa1203680e0e5e63d05dd14d65169eb7ba02f
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sabre-io
%global gh_project http
# Packagist
@@ -24,37 +22,38 @@
Name: php-%{pk_vendor}-%{pk_project}%{major}
Summary: Library for dealing with http requests and responses
-Version: 7.0.5
+Version: 7.1.0
Release: 1%{?dist}
URL: https://github.com/%{gh_owner}/%{gh_project}
License: BSD-3-Clause
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
BuildArch: noarch
%if %{with tests}
-BuildRequires: php(language) >= 7.4
+BuildRequires: php(language) >= 8.2
BuildRequires: php-mbstring
BuildRequires: php-ctype
BuildRequires: php-curl
BuildRequires: (php-composer(sabre/event) >= 6.0 with php-composer(sabre/event) < 7)
BuildRequires: (php-composer(sabre/uri) >= 2.3 with php-composer(sabre/uri) < 4)
# From composer.json, "require-dev" : {
-# "friendsofphp/php-cs-fixer": "^3.87",
-# "phpstan/phpstan": "^1.12",
-# "phpstan/phpstan-phpunit": "^1.4",
-# "phpstan/phpstan-strict-rules": "^1.6",
+# "friendsofphp/php-cs-fixer": "^3.95",
+# "phpstan/phpstan": "^2.1",
+# "phpstan/phpstan-phpunit": "^2.0",
+# "phpstan/phpstan-strict-rules": "^2.0",
# "phpstan/extension-installer": "^1.4",
-# "phpunit/phpunit" : "^9.6"
-BuildRequires: phpunit9 >= 9.6
-%global phpunit %{_bindir}/phpunit9
+# "phpunit/phpunit" : "^11.5",
+# "rector/rector": "^2.4"
+BuildRequires: phpunit11 >= 11.5
+%global phpunit %{_bindir}/phpunit11
%endif
# Autoloader
BuildRequires: php-fedora-autoloader-devel
# From composer.json, "require" : {
-# "php" : "^7.4 || ^8.0",
+# "php" : "^8.2",
# "ext-mbstring" : "*",
# "ext-ctype" : "*",
# "ext-curl" : "*",
@@ -104,7 +103,7 @@ Autoloader: %{_datadir}/php/%{ns_vendor}/%{ns_project}%{major}/autoload.php
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
phpab -t fedora -o lib/autoload.php lib
cat << 'EOF' | tee -a lib/autoload.php
@@ -156,10 +155,10 @@ PHPPID=$!
: Run upstream test suite against installed library
ret=0
-for cmdarg in "php %{phpunit}" php81 php82 php83 php84 php85; do
+for cmdarg in "php %{phpunit}" php82 php83 php84 php85; do
if which $cmdarg; then
set $cmdarg
- $1 ${2:-%{_bindir}/phpunit9} --verbose || ret=1
+ $1 ${2:-%{_bindir}/phpunit11} || ret=1
fi
done
@@ -179,6 +178,12 @@ exit $ret
%changelog
+* Tue Jun 16 2026 Remi Collet <remi@remirepo.net> - 7.1.0-1
+- update to 7.1.0
+
+* Thu May 14 2026 Remi Collet <remi@remirepo.net> - 7.0.6-1
+- update to 7.0.6
+
* Tue Sep 9 2025 Remi Collet <remi@remirepo.net> - 7.0.5-1
- update to 7.0.5